class_name Brique
extends StaticBody2D


const EclatementScene: PackedScene = preload("res://effets/eclatement_brique/eclatement_brique.tscn")

@export var nombre_de_vies: int = 1


func frapper(nb_degats: int) -> void:
	nombre_de_vies -= nb_degats
	if nombre_de_vies <= 0:
		_mourir()


func _mourir() -> void:
	queue_free()
	var effet_eclatement: Node2D = EclatementScene.instantiate()
	effet_eclatement.position = self.position
	add_sibling(effet_eclatement)
